%define	name	pth
%define	version	1.0.3
%define	release	1
%define	serial	1

Summary:	GNU Pth - GNU Portable Threads.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		System Environment/Libraries
URL:		http://www.gnu.org/software/pth/
Vendor:		Ralf S. Engelschall <rse@engelschall.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}

Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>

%description
Pth is a very portable POSIX/ANSI-C based library for Unix platforms
which provides non-preemptive priority-based scheduling for multiple
threads of execution ("multithreading") inside server applications.
All threads run in the same address space of the server application,
but each thread has it's own individual program-counter, run-time
stack, signal mask and errno variable.

%package	devel
Summary:	GNU Pth - GNU Portable Threads (Headers and Static Libs).
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description	devel
Pth is a very portable POSIX/ANSI-C based library for Unix platforms.

Headers and Static Libraries.

%prep
%setup -q
CFLAGS=$RPM_OPT_FLAGS \
./configure %{_target_platform} --prefix=/usr

%build
make
make test

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
/usr/lib/libpth.so.10
/usr/lib/libpth.so.10.0.3

%files	devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS PORTING README THANKS
/usr/bin/pth-config
/usr/include/pth.h
/usr/lib/libpth.a
/usr/lib/libpth.la
/usr/lib/libpth.so
/usr/man/man1/pth-config.1
/usr/man/man3/pth.3

%changelog
* Fri Jul 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [pth-1.0.3-1]
- Fixed inconsistent and wrong API value: PTH_ATTR_NULL existed and was
  documented as PTH_ATTR_NONE. But actually the intended and intuitive
  value was PTH_ATTR_DEFAULT. !BE CAREFUL: This is an API change and
  requires adjustments in Pth applications!
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]
- Make sure pthread.h.in doesn't redefine the poll(2) environment
  under built-time because it's already defined by the included pth.h.
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add readv/writev environment fallback definitions to pthread.h.in.
  [Ralf S. Engelschall]
- Support for AmigaOS in pthreads.c: timespec attributes have (correct)
  ts_ prefix under AmigaOS and not the (bogus) POSIX tv_ prefix
  [Kriton Kyrimis <kyrimis@cti.gr>]
- Add `#include <time.h>' for struct timespec to pthread.h.in
  and removed timespec references in pth.h.in.
  [Ralf S. Engelschall]
- Fixed documentation for pth_spawn() and pth_wait().
  [Ralf S. Engelschall, Eric Newton <ecn@smart.net>]

